summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorDimitri Kaparis2018-09-01 20:56:03 +0300
committerDimitri Kaparis2018-09-01 20:56:03 +0300
commit77a1ec663670e32e8537e1fee891edd84a5da1eb (patch)
tree64aba420a6dbaa6d8f785efea956eec2d73dd96b /PKGBUILD
parentf2fd449e1ed9925ebfdcd875386368c01a734542 (diff)
downloadaur-77a1ec663670e32e8537e1fee891edd84a5da1eb.tar.gz
Dependencies rearrangement.
This qt and other optional libraries are now optdepends and related functionality (e.g. Qt5 for GUI) will only be enabled if present.
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD5
1 files changed, 3 insertions, 2 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 38b87c93e20..6cd095d0a45 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -10,8 +10,9 @@ bitcoin-tx, and bitcoin-qt, w/GUI and wallet'
arch=('i686' 'x86_64' 'armv7h')
url="http://www.bitcoinunlimited.info"
license=('MIT')
-depends=('boost-libs' 'desktop-file-utils' 'libevent' 'qt5-base' 'protobuf' 'qrencode' 'openssl' 'miniupnpc' 'openssl-1.0')
-makedepends=('boost' 'libevent' 'qt5-base' 'qt5-tools' 'qrencode' 'protobuf')
+depends=('boost-libs' 'desktop-file-utils' 'libevent' 'openssl')
+optdepends=('miniupnpc' 'db4.8' 'qt5-base' 'protobuf' 'qrencode')
+makedepends=('boost' 'qt5-tools')
provides=('bitcoin-daemon' 'bitcoin-cli' 'bitcoin-qt' 'bitcoin-tx')
conflicts=('bitcoin-unlimited-git' 'bitcoin-daemon' 'bitcoin-cli' 'bitcoin-qt' 'bitcoin-tx')
source=('https://github.com/BitcoinUnlimited/BitcoinUnlimited/archive/bucash1.4.0.0.tar.gz')